.chosen-container {
     -moz-user-select: none;
     display: inline-block;
     font-size: 13px;
     position: relative;
     vertical-align: middle;
}

.chosen-container .chosen-drop {
     -moz-border-bottom-colors: none;
     -moz-border-left-colors: none;
     -moz-border-right-colors: none;
     -moz-border-top-colors: none;
     -moz-box-sizing: border-box;
     background: none repeat scroll 0% 0% #FFFFFF;
     border-color: -moz-use-text-color #AAAAAA #AAAAAA;
     border-image: none;
     border-style: none solid solid;
     border-width: 0px 1px 1px;
     box-shadow: 0px 4px 5px rgba(0, 0, 0, 0.15);
     left: -9999px;
     position: absolute;
     top: 100%;
     width: 100%;
     z-index: 1010;
}

.chosen-container.chosen-with-drop .chosen-drop {
     left: 0px;
}

.chosen-container a {
     cursor: pointer;
}

.chosen-container-single .chosen-single {
     background: none repeat scroll 0% 0% #FFFFFF;
     border-radius: 3px 3px 3px 3px;
     box-shadow: 0px 0px 3px #FFFFFF inset, 0px 1px 1px rgba(0, 0, 0, 0.1);
     color: #444444;
     display: block;
     font-size: 8pt;
     height: 23px;
     line-height: 24px;
     overflow: hidden;
     padding: 0px 0px 0px 8px;
     position: relative;
     text-decoration: none;
     white-space: nowrap;
}

.chosen-container-single .chosen-default {
     color: #999999;
}

.chosen-container-single .chosen-single span {
     display: block;
     margin-right: 26px;
     overflow: hidden;
     text-overflow: ellipsis;
     white-space: nowrap;
}

.chosen-container-single .chosen-single-with-deselect span {
     margin-right: 38px;
}

.chosen-container-single .chosen-single abbr {
     background: url("chosen-sprite.png") no-repeat scroll -42px 1px transparent;
     display: block;
     font-size: 1px;
     height: 12px;
     position: absolute;
     right: 26px;
     top: 6px;
     width: 12px;
}

.chosen-container-single .chosen-single abbr:hover {
     background-position: -42px -10px;
}

.chosen-container-single.chosen-disabled .chosen-single abbr:hover {
     background-position: -42px -10px;
}

.chosen-container-single .chosen-single div {
     display: block;
     height: 100%;
     position: absolute;
     right: 0px;
     top: 0px;
     width: 18px;
}

.chosen-container-single .chosen-single div b {
     background: url("chosen-sprite.png") no-repeat scroll 0px 2px transparent;
     display: block;
     height: 100%;
     width: 100%;
}

.chosen-container-single .chosen-search {
     margin: 0px;
     padding: 3px 4px;
     position: relative;
     white-space: nowrap;
     z-index: 1010;
}

.chosen-container-single .chosen-search input[type="text"] {
     -moz-box-sizing: border-box;
     background: url("chosen-sprite.png") no-repeat scroll 100% -20px, linear-gradient(#EEEEEE 1%, #FFFFFF 15%) repeat scroll 0% 0% transparent;
     border-radius: 0px 0px 0px 0px;
     border: 1px solid #AAAAAA;
     font-family: sans-serif;
     font-size: 1em;
     height: auto;
     line-height: normal;
     margin: 1px 0px;
     outline: 0px none;
     padding: 4px 20px 4px 5px;
     width: 100%;
}

.chosen-container-single .chosen-drop {
     background-clip: padding-box;
     border-radius: 0px 0px 4px 4px;
     margin-top: -1px;
}

.chosen-container-single.chosen-container-single-nosearch .chosen-search {
     left: -9999px;
     position: absolute;
}

.chosen-container .chosen-results {
     margin: 0px 4px 4px 0px;
     max-height: 240px;
     overflow-x: hidden;
     overflow-y: auto;
     padding: 0px 0px 0px 4px;
     position: relative;
}

.chosen-container .chosen-results li {
     display: none;
     line-height: 15px;
     list-style: none outside none;
     margin: 0px;
     padding: 5px 6px;
}

.chosen-container .chosen-results li.active-result {
     cursor: pointer;
     display: list-item;
     width: 100%;
}

.chosen-container .chosen-results li.disabled-result {
     color: #CCCCCC;
     cursor: default;
     display: list-item;
}

.chosen-container .chosen-results li.highlighted {
     background-color: #3875D7;
     background-image: linear-gradient(#3875D7 20%, #2A62BC 90%);
     color: #FFFFFF;
}

.chosen-container .chosen-results li.no-results {
     background: none repeat scroll 0% 0% #F4F4F4;
     display: list-item;
}

.chosen-container .chosen-results li.group-result {
     cursor: default;
     display: list-item;
     font-weight: bold;
}

.chosen-container .chosen-results li.group-option {
     padding-left: 15px;
}

.chosen-container .chosen-results li em {
     font-style: normal;
     text-decoration: underline;
}

.chosen-container-multi .chosen-choices {
     -moz-box-sizing: border-box;
     background-color: #FFFFFF;
     background-image: linear-gradient(#EEEEEE 1%, #FFFFFF 15%);
     border: 1px solid #AAAAAA;
     cursor: text;
     height: auto ! important;
     margin: 0px;
     overflow: hidden;
     padding: 0px;
     position: relative;
     width: 100%;
}

.chosen-container-multi .chosen-choices li {
     float: left;
     list-style: none outside none;
}

.chosen-container-multi .chosen-choices li.search-field {
     margin: 0px;
     padding: 0px;
     white-space: nowrap;
}

.chosen-container-multi .chosen-choices li.search-field input[type="text"] {
     background: none repeat scroll 0% 0% rgba(0, 0, 0, 0) ! important;
     border-radius: 0px 0px 0px 0px;
     border: 0px none ! important;
     box-shadow: none;
     color: #666666;
     font-family: sans-serif;
     font-size: 100%;
     height: 15px;
     line-height: normal;
     margin: 1px 0px;
     outline: 0px none;
     padding: 5px;
}

.chosen-container-multi .chosen-choices li.search-field .default {
     color: #999999;
}

.chosen-container-multi .chosen-choices li.search-choice {
     background-clip: padding-box;
     background-color: #E4E4E4;
     background-image: linear-gradient(#F4F4F4 20%, #F0F0F0 50%, #E8E8E8 52%, #EEEEEE 100%);
     border-radius: 3px 3px 3px 3px;
     border: 1px solid #AAAAAA;
     box-shadow: 0px 0px 2px #FFFFFF inset, 0px 1px 0px rgba(0, 0, 0, 0.05);
     color: #333333;
     cursor: default;
     line-height: 13px;
     margin: 3px 0px 3px 5px;
     padding: 3px 20px 3px 5px;
     position: relative;
}

.chosen-container-multi .chosen-choices li.search-choice .search-choice-close {
     background: url("chosen-sprite.png") no-repeat scroll -42px 1px transparent;
     display: block;
     font-size: 1px;
     height: 12px;
     position: absolute;
     right: 3px;
     top: 4px;
     width: 12px;
}

.chosen-container-multi .chosen-choices li.search-choice .search-choice-close:hover {
     background-position: -42px -10px;
}

.chosen-container-multi .chosen-choices li.search-choice-disabled {
     background-color: #E4E4E4;
     background-image: -moz-linear-gradient(center top , #F4F4F4 20%, #F0F0F0 50%, #E8E8E8 52%, #EEEEEE 100%);
     border: 1px solid #CCCCCC;
     color: #666666;
     padding-right: 5px;
}

.chosen-container-multi .chosen-choices li.search-choice-focus {
     background: none repeat scroll 0% 0% #D4D4D4;
}

.chosen-container-multi .chosen-choices li.search-choice-focus .search-choice-close {
     background-position: -42px -10px;
}

.chosen-container-multi .chosen-results {
     margin: 0px;
     padding: 0px;
}

.chosen-container-multi .chosen-drop .result-selected {
     color: #CCCCCC;
     cursor: default;
     display: list-item;
}

.chosen-container-active .chosen-single {
     border: 1px solid #5897FB;
     box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.3);
}

.chosen-container-active.chosen-with-drop .chosen-single {
     background-image: linear-gradient(#EEEEEE 20%, #FFFFFF 80%);
     border-bottom-left-radius: 0px;
     border-bottom-right-radius: 0px;
     border: 1px solid #AAAAAA;
     box-shadow: 0px 1px 0px #FFFFFF inset;
}

.chosen-container-active.chosen-with-drop .chosen-single div {
     background: none repeat scroll 0% 0% transparent;
     border-left: medium none;
}

.chosen-container-active.chosen-with-drop .chosen-single div b {
     background-position: -18px 2px;
}

.chosen-container-active .chosen-choices {
     border: 1px solid #5897FB;
     box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.3);
}

.chosen-container-active .chosen-choices li.search-field input[type="text"] {
     color: #111111 ! important;
}

.chosen-disabled {
     cursor: default;
     opacity: 0.5 ! important;
}

.chosen-disabled .chosen-single {
     cursor: default;
}

.chosen-disabled .chosen-choices .search-choice .search-choice-close {
     cursor: default;
}

.chosen-rtl {
     text-align: right;
}

.chosen-rtl .chosen-single {
     overflow: visible;
     padding: 0px 8px 0px 0px;
}

.chosen-rtl .chosen-single span {
     direction: rtl;
     margin-left: 26px;
     margin-right: 0px;
}

.chosen-rtl .chosen-single-with-deselect span {
     margin-left: 38px;
}

.chosen-rtl .chosen-single div {
     left: 3px;
     right: auto;
}

.chosen-rtl .chosen-single abbr {
     left: 26px;
     right: auto;
}

.chosen-rtl .chosen-choices li {
     float: right;
}

.chosen-rtl .chosen-choices li.search-field input[type="text"] {
     direction: rtl;
}

.chosen-rtl .chosen-choices li.search-choice {
     margin: 3px 5px 3px 0px;
     padding: 3px 5px 3px 19px;
}

.chosen-rtl .chosen-choices li.search-choice .search-choice-close {
     left: 4px;
     right: auto;
}

.chosen-rtl.chosen-container-single-nosearch .chosen-search, .chosen-rtl .chosen-drop {
     left: 9999px;
}

.chosen-rtl.chosen-container-single .chosen-results {
     margin: 0px 0px 4px 4px;
     padding: 0px 4px 0px 0px;
}

.chosen-rtl .chosen-results li.group-option {
     padding-left: 0px;
     padding-right: 15px;
}

.chosen-rtl.chosen-container-active.chosen-with-drop .chosen-single div {
     border-right: medium none;
}

.chosen-rtl .chosen-search input[type="text"] {
     background: url("chosen-sprite.png") no-repeat scroll -30px -20px, linear-gradient(#EEEEEE 1%, #FFFFFF 15%) repeat scroll 0% 0% transparent;
     direction: rtl;
     padding: 4px 5px 4px 20px;
}

.chosen-rtl.chosen-container-single .chosen-single div b {
     background-position: 6px 2px;
}

.chosen-rtl.chosen-container-single.chosen-with-drop .chosen-single div b {
     background-position: -12px 2px;
}

@media not all, only screen and (min-resolution: 144dpi) {
  .chosen-rtl .chosen-search input[type="text"], .chosen-container-single .chosen-single abbr, .chosen-container-single .chosen-single div b, .chosen-container-single .chosen-search input[type="text"], .chosen-container-multi .chosen-choices .search-choice .search-choice-close, .chosen-container .chosen-results-scroll-down span, .chosen-container .chosen-results-scroll-up span { background-image: url("chosen-sprite@2x.png") ! important; background-size: 52px 37px ! important; background-repeat: no-repeat ! important; }
}
